<template>
  <div class="ob-spot-row ob-spot-properties">
    <div class="ob-spot-col">
      <div class="ob-spot-properties__item">
        <h5 class="subtitle">Тип груза</h5>
        <div>{{ cargoTypes }}</div>
      </div>
    </div>
    <div class="ob-spot-col">
      <div class="ob-spot-properties__item">
        <i class="icon cold -cobalt" />
        <div>{{ temperatureModeTitle }}</div>
      </div>
    </div>
    <div class="ob-spot-col">
      <div class="ob-spot-properties__item">
        <i class="icon hazard -cobalt-black"><span class="path1"></span></i>
        <div>{{ dangerousClassTitle }}</div>
      </div>
    </div>
    <div class="ob-spot-col">
      <div class="ob-spot-properties__item">
        <i :class="['icon', {'radar-2': needTracking, 'radar-disabled': !needTracking}, '-cobalt']" />
        <div>Трекинг</div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'spotPropertiesBlueBox',
  props: {
    cargoTypes: {
      type: String,
      default: ''
    },
    temperatureModeTitle: {
      type: String,
      default: ''
    },
    dangerousClassTitle: {
      type: String,
      default: ''
    },
    needTracking: {
      type: Boolean,
      default: false
    }
  }
}
</script>

<style lang="scss" scoped>
.ob-spot-properties {
  margin-bottom: 24px;

  &__item {
    height: 100%;
    position: relative;
    padding: 10px 12px;
    border: 1px solid rgba($color-blue-navy-blue, 0.25);
    border-radius: 3px;
    font-size: 14px;
    line-height: 18px;
    color: $gray-slate;

    > div:first-of-type {
      padding-left: 27px;
    }

    .icon {
      position: absolute;
      left: 11px;
      top: 10px;
      font-size: 16px;
      padding-right: 12px;
    }

    .subtitle {
      font-weight: normal;
      font-size: 12px;
      line-height: 14px;
      margin-left: -2px;
      letter-spacing: .4px;
      color: $gray-slate;
      margin-bottom: 8px;

      + div {
        color: $color-text-base;
        padding-left: 0;
      }
    }
  }
}
</style>
